# Cargo Version Control System extension

Cargo-vcs is a Cargo extension that adds version control helpers to help manage workspace projects.

## Example use cases

### View current branch and MSRV status for workspace projects

- `cargo vcs status` - for brief overview
- `cargo vcs status -v` - for verbose view

### Switch to a branch on all workspace projects

- `cargo vcs branch set master`

### Save currently set workspace branches as a profile

- `cargo vcs profile save profile1`

### Switch to a previously saved workspace profile

- `cargo vcs profile set profile1`

## Minimum Supported Rust Version (MSRV)

This crate is guaranteed to compile on stable Rust 1.59.0 and up. It *might*
compile with older versions but that may change in any new patch release.